Technical Information

What version of the Android operating system is required to operate All 4?

All 4 is available for download if your device is running the Android operating system 4.1 and above. For users running Android OS 4.0 or lower you can still use the older, legacy All 4 app. Please note this version is no longer supported and we encourage you to upgrade the version of Android in order to get the best possible experience.

All 4 is available for download from the Google Play store

Not found what you are looking for yet?

Try using the search facility

Or you may reach us by posting query to us via our contact form

CONTACT US